# endian_func.hpp File Reference

Function to handling different endian machines. More...

`#include "endian_type.hpp"`
`#include "bitmath_func.hpp"`

Go to the source code of this file.

## Defines
#define | FROM_BE16(x) (x)
#define | FROM_BE32(x) (x)
#define | TO_BE16(x) (x)
#define | TO_BE32(x) (x)
#define | TO_BE32X(x) (x)
#define | FROM_LE16(x) BSWAP16(x)
#define | FROM_LE32(x) BSWAP32(x)
#define | TO_LE16(x) BSWAP16(x)
#define | TO_LE32(x) BSWAP32(x)
#define | TO_LE32X(x) BSWAP32(x)
## Functions
static FORCEINLINE uint16 | ReadLE16Aligned (const void *x)
static FORCEINLINE uint16 | ReadLE16Unaligned (const void *x)

## Detailed Description

Function to handling different endian machines.

Definition in file endian_func.hpp.